// src/index.ts
import {
  parse
} from "vue-docgen-api";
import {
  createFilter
} from "@rollup/pluginutils";
function src_default(options) {
  const {
    injectAt,
    include,
    exclude,
    docgenOptions
  } = {
    include: (options == null ? void 0 : options.include) || (options == null ? void 0 : options.pattern) || /\.vue$/,
    injectAt: "__docgenInfo",
    ...options
  };
  var filter = createFilter(include, exclude);
  return {
    name: "vite-plugin-vue-docgen",
    enforce: "post",
    async transform(source, id, ssr) {
      if (!filter(id)) {
        return;
      }
      let metaData = {};
      try {
        metaData = await parse(id, docgenOptions);
      } catch (error) {
        console.warn(error);
      } finally {
        return `${source};_sfc_main.${injectAt} = ${JSON.stringify(metaData)}`;
      }
    }
  };
}
export {
  src_default as default
};
